121 reputation
3
bio website
location
age
visits member for 2 years, 1 month
seen Nov 20 '12 at 16:55

Jul
19
awarded  Popular Question
Jul
29
comment Why does Ubuntu think Rails 2.3.14 is installed even though I installed 3.2?
It looks like this helped: stackoverflow.com/questions/7696633/… I needed to tell Bash how to load RVM by default.
Jul
29
comment Why does Ubuntu think Rails 2.3.14 is installed even though I installed 3.2?
It's looking to me like maybe the issue is having Ruby 1.8 as the default version. If I run RVM, and then use it to set Ruby to version 1.9, it can tell what version of Rails is installed. I'm trying out using this to make version 1.9 the default: rvm use 1.9.2 --default
Jul
29
comment Why does Ubuntu think Rails 2.3.14 is installed even though I installed 3.2?
I should add that somewhere in the middle, I installed RVM and switched from Ruby 1.8 to version 1.9.
Jul
29
comment Why does Ubuntu think Rails 2.3.14 is installed even though I installed 3.2?
Hmm. Now, for some reason, I'm able to run rails --version and rails server in one terminal tab, but if I try to do anything with rails in another tab, it says: The program 'rails' is currently not installed. You can install it by typing: sudo apt-get install rails
Jul
29
comment Why does Ubuntu think Rails 2.3.14 is installed even though I installed 3.2?
I tried to use cd usr/bin/rails, and the folder didn't exist. I created the folder, then unpacked the gem into it by using cd usr/bin/rails gem unpack rails, and then rails --version. It still told me that Rails was not installed. Then, I used gem install rails, and this time it did the full install again. When I entered rails --version this time, it output Rails 3.2.7. Maybe somehow my old rails gem install was corrupted?
Jul
29
comment Why does Ubuntu think Rails 2.3.14 is installed even though I installed 3.2?
Thank you for the help! Unfortunately, now when I enter rails --version, it outputs this: /usr/bin/rails: No such file or directory
Jul
29
awarded  Student
Jul
29
asked Why does Ubuntu think Rails 2.3.14 is installed even though I installed 3.2?
Mar
5
awarded  Tumbleweed